//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef NEXTPLAYERPOPUP_H
#define NEXTPLAYERPOPUP_H

#include <pgthemewidget.h>
#include <pglabel.h>
#include <string>

//! A simple class with an image and the name of the next player

class NextPlayerPopup : public PG_ThemeWidget
{
    public:
        //! Constructor; the parameters are inherited from paragui
        NextPlayerPopup(PG_Widget* parent, PG_Rect rect);
        ~NextPlayerPopup();

        //! Draws the widget within the rect on the given surface
        void eventDraw(SDL_Surface* surface, const PG_Rect& rect);

        //! Set the name of the announced player
        void setName(std::string name);

    private:
        PG_Label* d_l_name;
        SDL_Surface* d_background;
};

#endif

// End of file
